Runtime

## org.eclipse.gmf.runtime.notation.util
Class NotationExtendedMetaData

    java.lang.Object
      org.eclipse.emf.ecore.util.BasicExtendedMetaData
          org.eclipse.gmf.runtime.notation.util.NotationExtendedMetaData

All Implemented Interfaces:
  org.eclipse.emf.ecore.util.ExtendedMetaData

    public class NotationExtendedMetaData

extends org.eclipse.emf.ecore.util.BasicExtendedMetaData

A special NotationExtendedMetaData class that will allow one to load resources that came from previous versions of the notation metamodel.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.BasicExtendedMetaData

`org.eclipse.emf.ecore.util.BasicExtendedMetaData.EClassExtendedMetaDataImpl, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EClassifierExtendedMetaData, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EDataTypeExtendedMetaDataImpl, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaDataImpl, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EStructuralFeatureExtendedMetaData, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EStructuralFeatureExtendedMetaDataImpl`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.util.BasicExtendedMetaData
`annotationMap, annotationURI, demandRegistry, extendedMetaDataHolderCache, registry, UNINITIALIZED_EDATA_TYPE, UNINITIALIZED_ESTRUCTURAL_FEATURE, UNINITIALIZED_INT, UNINITIALIZED_STRING`

Fields inherited from interface org.eclipse.emf.ecore.util.ExtendedMetaData

`ANNOTATION_URI, ATTRIBUTE_FEATURE, ATTRIBUTE_WILDCARD_FEATURE, COLLAPSE_WHITE_SPACE, CONTENT_KINDS, DERIVATION_KINDS, ELEMENT_FEATURE, ELEMENT_ONLY_CONTENT, ELEMENT_WILDCARD_FEATURE, EMPTY_CONTENT, FEATURE_KINDS, GROUP_FEATURE, INSTANCE, LAX_PROCESSING, LIST_DERIVATION, MIXED_CONTENT, PRESERVE_WHITE_SPACE, PROCESSING_KINDS, REPLACE_WHITE_SPACE, RESTRICTION_DERIVATION, SIMPLE_CONTENT, SIMPLE_FEATURE, SKIP_PROCESSING, STRICT_PROCESSING, UNION_DERIVATION, UNSPECIFIED_CONTENT, UNSPECIFIED_DERIVATION, UNSPECIFIED_FEATURE, UNSPECIFIED_PROCESSING, UNSPECIFIED_WHITE_SPACE, WHITE_SPACE_KINDS, XMI_URI, XML_SCHEMA_URI, XML_URI, XMLNS_PREFIX, XMLNS_URI, XSI_PREFIX, XSI_URI`

Constructor Summary
`NotationExtendedMetaData()`

Method Summary
`org.eclipse.emf.ecore.EPackage` `getPackage(java.lang.String namespace)`

Methods inherited from class org.eclipse.emf.ecore.util.BasicExtendedMetaData

`basicGetAffiliation, basicGetBaseType, basicGetContentKind, basicGetDerivationKind, basicGetEnumerationFacet, basicGetFeatureKind, basicGetFractionDigitsFacet, basicGetGroup, basicGetItemType, basicGetLengthFacet, basicGetMaxExclusiveFacet, basicGetMaxInclusiveFacet, basicGetMaxLengthFacet, basicGetMemberTypes, basicGetMinExclusiveFacet, basicGetMinInclusiveFacet, basicGetMinLengthFacet, basicGetName, basicGetName, basicGetNamespace, basicGetPatternFacet, basicGetProcessingKind, basicGetTotalDigitsFacet, basicGetWhiteSpaceFacet, basicGetWildcards, basicIsQualified, computePrefix, createEClassifierExtendedMetaData, createEPackageExtendedMetaData, createEStructuralFeatureExtendedMetaData, demandedPackages, demandFeature, demandFeature, demandPackage, demandType, getAffiliation, getAffiliation, getAllAttributes, getAllElements, getAnnotation, getAttribute, getAttribute, getAttributes, getAttributeWildcardAffiliation, getBaseType, getContentKind, getDerivationKind, getDocumentRoot, getElement, getElement, getElements, getElementWildcardAffiliation, getEncodedWildcards, getEnumerationFacet, getExtendedMetaData, getExtendedMetaData, getExtendedMetaData, getFeatureKind, getFractionDigitsFacet, getGroup, getItemType, getLengthFacet, getLocalAttribute, getLocalElement, getMaxExclusiveFacet, getMaxInclusiveFacet, getMaxLengthFacet, getMemberTypes, getMinExclusiveFacet, getMinInclusiveFacet, getMinLengthFacet, getMixedFeature, getName, getName, getNamespace, getNamespace, getNamespace, getPatternFacet, getProcessingKind, getQualifiedName, getQualifiedName, getSimpleFeature, getTotalDigitsFacet, getType, getType, getWhiteSpaceFacet, getWildcards, getXMLNSPrefixMapFeature, getXSISchemaLocationMapFeature, isAnonymous, isDocumentRoot, isFeatureKindSpecific, isFeatureNamespaceMatchingLax, isQualified, matches, matches, putPackage, setAffiliation, setBaseType, setContentKind, setDocumentRoot, setEnumerationFacet, setFeatureKind, setFractionDigitsFacet, setGroup, setItemType, setLengthFacet, setMaxExclusiveFacet, setMaxInclusiveFacet, setMaxLengthFacet, setMemberTypes, setMinExclusiveFacet, setMinInclusiveFacet, setMinLengthFacet, setName, setName, setNamespace, setPatternFacet, setProcessingKind, setQualified, setTotalDigitsFacet, setWhiteSpaceFacet, setWildcards`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotationExtendedMetaData

    public NotationExtendedMetaData()

Method Detail

### getPackage

    public org.eclipse.emf.ecore.EPackage getPackage(java.lang.String namespace)

  Specified by:
    `getPackage` in interface `org.eclipse.emf.ecore.util.ExtendedMetaData`
  Overrides:
    `getPackage` in class `org.eclipse.emf.ecore.util.BasicExtendedMetaData`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.